<?php

namespace GriffinForms\Admin\App\Html\Widgets\PresentationArea\FormControls;

class InputTime extends \GriffinForms\Admin\App\Html\Widgets\PresentationArea\FormControls\Format
{
    public function getHtml()
    {
        $this->renderFieldStyles(array('text_input'));

        $control_id = $this->getFieldControlId('time');
        $attributes = $this->getFieldStyleAttributes('text_input');

        echo '<input type="time" id="' . esc_attr($control_id) . '" class="form-control"' . $attributes . '>';
    }
}
